Kdenlive 16.12 TODO
Closed, ResolvedPublic

Description

Issues that need to be fixed for 16.12 release:

  • Deprecate affine filter/transition. bug #368875. We cannot completely remove it because of compatibility but might hide it be default
  • Allow "portable" projects (where all tmp files are stored in user specified folder)

Roadmap features:

mardelle created this task.Sep 18 2016, 7:00 AM
jessed added a subscriber: jessed.Sep 19 2016, 5:53 PM

Can I humbly request that this be added to the task list? I feel this is a very significant bug that affects a great deal of workflow performance in Kdenlive. It's the playback speed bug with composite tracks:

https://bugs.kde.org/show_bug.cgi?id=361360

mardelle updated the task description. (Show Details)Sep 20 2016, 8:34 PM
mardelle updated the task description. (Show Details)

I rely heavily on affine, especially in many existing projects. Dropping or hiding it would be catastrophic for my work. I'm now using composite & transform wherever possible, yet I still have compositing needs where I have to zoom in or out. So please don't mess with affine, it's been used 95Z in my projects.

afarid added a subscriber: afarid.EditedSep 30 2016, 6:03 PM

I suggest this little usability improvements if you don't mind:

Workspace layout is not remembered / saved to project KF5
https://bugs.kde.org/show_bug.cgi?id=343322

Please Make Zoom Follow Mouse Cursor, not Playhead
https://bugs.kde.org/show_bug.cgi?id=369198

Change height of individual tracks
https://bugs.kde.org/show_bug.cgi?id=347347

Of course only if possible ;)

A poll in our G+ community (https://plus.google.com/103555172011502893674/posts/ijcVd2FsbKa) shows that 16% out of 31 users use Affine on a regular basis in their projects. I don't think that blacklisting or removing would be a good idea.

mardelle added a comment.EditedNov 23 2016, 9:09 PM

TODO:
Add warning in first run wizard if missing frei0r or breeze
Check speed effect bug:
https://bugs.kde.org/show_bug.cgi?id=369585

This is important for the rotoscoping workflow...

https://bugs.kde.org/show_bug.cgi?id=373113

if this can be fixed then we can close this ticket:

https://bugs.kde.org/show_bug.cgi?id=364040